Linked Questions

5
votes
1answer
2k views

When will Drupal 8 be officially supported? [duplicate]

As I understand it, the Drupal 8 version of CiviCRM is available but still in bug fixing and feature adding mode. Is there news on when it will be officially on the civicrm.org website?
4
votes
1answer
294 views

Drupal 8.0.1 compatibility with CiviCRM [duplicate]

Is the newest version of CiviCRM compatible with the newest 8.0.1 version of drupal? I have loaded drupal on my VPS but wonder if I load CiviCRM into the module folder, if it will be reccognized. If I ...
4
votes
0answers
65 views

What is the status of CiviCRM working with Drupal 8 now that it is released? [duplicate]

Drupal8 released recently, do we know what the status of the integration effort to have civicrm run on it, yet? I am in the process of updating our site and this would have been the perfect time to ...
1
vote
0answers
75 views

Drupal 8 - what's the status? [duplicate]

What is the status of the Drupal 8 integration? Does anyone know of anyone using, or gearing up to using, a Drupal 8 & Civi production install? Does anyone know how much (if any) core team time ...
1
vote
0answers
40 views

Now that the production version CiviCRM 4.7 released can Drupal 8.03 be used with it for production sites? [duplicate]

Now that the production version CiviCRM 4.7 released can Drupal 8.03 be used with it for production sites? When do you anticipate a stable production version with drupal 8.0?
9
votes
3answers
1k views

Start new CiviCRM site in Drupal 7 or wait for Drupal 8?

We are interested in a fresh start for our organization with a new website using CiviCRM and Drupal. However, we're not sure if we should wait for the CiviCRM integration with Drupal 8 since it's the ...
7
votes
1answer
150 views

What's the optimal way to install and track CiviCRM with Drupal and git?

First, I know compatibility with Drupal 8 is not full yet. There are still open bugs, a bunch of open PRs and an apparent lack of code review. But let's ignore that for a moment and consider civi d8-...
0
votes
1answer
89 views

Drush civicrm-install failing with 'undefined function module_enable'

I'm using Drush 8, Drupal 7 and CiviCRM 4.7.18 The civicrm.drush.inc file that comes with CiviCRM (and is moved to ~/.drush/) has a call to a function called module_enable() which is not defined ...
1
vote
1answer
32 views

What is the difference between civicrm-drupal/tree/8.x-master and civicrm-drupal-8?

In Does CiviCRM work with Drupal 8 and how can I help? it mentions https://github.com/civicrm/civicrm-drupal/tree/8.x-master, but from all the other instructions and as best as I can tell https://...
0
votes
0answers
29 views

SOLVED! error on composer require civicrm-core

While trying to install civicrm-core by command: composer require civicrm-core' i get the following error: civicrm/civicrm-core 5.12.x-dev requires zetacomponents/mail dev-1.7-civi -> no ...